@ECHO OFF&(PUSHD "%~DP0")&(REG QUERY "HKU\S-1-5-19">NUL 2>&1)||(
powershell -Command "Start-Process '%~sdpnx0' -Verb RunAs"&&EXIT)
echo 初始化UPnP服务
echo 开始初始化UPnP NAT端口映射
echo 初始化UPnP成功
sc config SSDPSRV start= demand
ECHO.&ECHO 完成 &TIMEOUT /t 2 >NUL&EXIT